| Home | Libraries | People | FAQ | More

## Class template bounded_value

boost::icl::bounded_value

## Synopsis

    // In header: <boost/icl/dynamic_interval_traits.hpp>

    template<typename DomainT>
    class bounded_value {
    public:
      // construct/copy/destruct
      bounded_value(const domain_type &, interval_bounds);

      // public member functions
      domain_type value() const;
      interval_bounds bound() const;
    };

## Description

### `bounded_value` public construct/copy/destruct

1.     bounded_value(const domain_type & value, interval_bounds bound);

### `bounded_value` public member functions

1.     domain_type value() const;

2.     interval_bounds bound() const;